log4j.rootLogger=info,console

log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%p - %m%n

log4j.appender.applog=org.apache.log4j.RollingFileAppender
log4j.appender.applog.File=app.log
log4j.appender.applog.MaxFileSize=10KB
log4j.appender.applog.MaxBackupIndex=2
log4j.appender.applog.layout=org.apache.log4j.PatternLayout
log4j.appender.applog.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%p - %m%n

log4j.appender.dailylog=org.apache.log4j.DailyRollingFileAppender
log4j.appender.dailylog.File=dailylog.log
log4j.appender.dailylog.DatePattern='.'yyyy-MM-dd-HH-mm
log4j.appender.dailylog.layout=org.apache.log4j.PatternLayout
log4j.appender.dailylog.layout.ConversionPattern=\
%d{yyyy-MM-dd HH:mm:ss.SSS}|%p - %m%n